Name:           python-zombie-imp
Version:        0.0.2
Release:        1%{?dist}
Summary:        A copy of the `imp` module that was removed in Python 3.12

License:        Python-2.0.1
URL:            https://github.com/encukou/zombie-imp
Source:         %{pypi_source zombie-imp}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-test
BuildRequires:  pytest

%global _description %{expand:
A particularly mischevious act of necromancy. That is, A copy of the imp module
that was removed in Python 3.12.
Don't use this, it'll probably trick and bite you.}

%description %_description

%package -n python3-zombie-imp
Summary:        %{summary}

%description -n python3-zombie-imp %_description


%prep
%autosetup -p1 -n zombie-imp-%{version}


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files zombie_imp


%check
%tox


%files -n python3-zombie-imp -f %{pyproject_files}
%doc README.*
%{python3_sitelib}/__pycache__/imp.cpython-*
%{python3_sitelib}/imp.py


%changelog
* Mon Jun 26 2023 Tomáš Hrnčiar <thrnciar@redhat.com> - 0.0.1-1
- Initial package

